import "../_dnt.polyfills.js";
import * as t from "../types.js";
import type { RandomRuntimeData } from "../gen/typegraph_core";
import { Runtime } from "./mod.js";
export declare class RandomRuntime extends Runtime {
    constructor(data: RandomRuntimeData);
    /** create a function for random value generation */
    gen(out: t.Typedef): t.Func;
}
